package com.gxwebsoft.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gxwebsoft.common.core.web.PageResult;
import com.gxwebsoft.shop.entity.MerchantOfflinePay;
import com.gxwebsoft.shop.param.MerchantOfflinePayParam;

import java.util.List;

/**
 * 商铺线下支付Service
 *
 * @author 科技小王子
 * @since 2025-05-28 18:23:45
 */
public interface MerchantOfflinePayService extends IService<MerchantOfflinePay> {

    /**
     * 分页关联查询
     *
     * @param param 查询参数
     * @return PageResult<MerchantOfflinePay>
     */
    PageResult<MerchantOfflinePay> pageRel(MerchantOfflinePayParam param);

    /**
     * 关联查询全部
     *
     * @param param 查询参数
     * @return List<MerchantOfflinePay>
     */
    List<MerchantOfflinePay> listRel(MerchantOfflinePayParam param);

    /**
     * 根据id查询
     *
     * @param id 
     * @return MerchantOfflinePay
     */
    MerchantOfflinePay getByIdRel(Integer id);

    MerchantOfflinePay getByOrderNo(String orderNo);

    List<MerchantOfflinePay> listByMerchant(Integer merchantId);

    Integer countByMerchant(Integer merchantId);

    List<MerchantOfflinePay> countByMerchantIds(List<Integer> merchantIds);
}
